Connecting to Fabric with a Service Token
Make a connection from your Network Edge devices to destinations on Fabric by redeeming a Z-side Service Token. You can be given a Z-side service token from a reseller, carrier, service provider, or other Equinix Fabric customer so you can create to their infrastructure or service.
When creating the connection, you select the virtual device and its connection settings, and the service token provides the connection details and configuration of the other side of the connection. Each connection requires its own service token. You can create a pair of connections from your redundant or cluster virtual devices with two separate service tokens.
If you want to allow someone to create a connection TO your Network Edge virtual device, you can create and share a Z-side service token.
Prerequisites
- Portal
- API
-
Sign in to the Equinix Customer Portal and navigate to the Network Edge Dashboard.
-
Click Create Connection.

-
Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to API Authentication for instructions on how to call OAuth API to validate and authenticate your credentials.
-
Retrieve your Network Edge device information using the
/ne/v1/devicesor/ne/v1/devices/{uuid}endpoints. If you are connecting from redundant devices, you need the UUID of the primary or the secondary device. If you are connecting from a cluster device, you need the UUID ofnode0ornode1. There can be only one connection per service token. Additional connections to redundant or cluster devices requires additional service tokens. -
Retrieve your service token.
-
If a third-party has shared a service token so you can connect to their infrastructure or service, you need the UUID of the service token they have shared with you.
-
If you are connecting to your own assets with a service token you or another person in your organization has created, you can retrieve the service token's UUID from the
/fabric/v4/serviceTokensendpoint, along with the allowed connection settings.
-
Creating the Connection
- Portal
- API
On the Create a Connection to: page:
-
Click Enter Service Token, on the Connect using Service Token card.

-
Enter your Z-side service token. Verify that the Service Token Details are correct and click Redeem Service Token.

-
Click Next.
-
From the Origin Asset Type drop-down, select Virtual Device.
-
In the Origin section, click Virtual Device.
-
Select the Location and Virtual Device Type.
- If you are connecting from a single device, the single connection option is selected for you.
- If you are connecting from redundant or cluster devices, you have the option to create a redundant connection. Enter the service token for the second connection in the Redundant Destination field.
-
Select the Virtual Device(s) and click Next.

-
On the Connection Information page:
-
Enter a connection name. For redundant connections, enter a name for the primary connection in the Primary Connection Information field and a name for the secondary connection in the Secondary Connection Information field.
-
In the Interface Selection section, choose to either Automatically select the next available interface on my device(s) or I will select an interface.
-
(Optional) Enter the purchase order number.
-
Select a Connection Speed. Connection speed options are pre-defined by the service token. If ordering a redundant connections, select both a Primary Connection speed and a Secondary Connection speed.
-
Click Next.

-
-
On the Review page, review the information in the Preview, Connection Summary, and Pricing Overview. In the Notifications section, add the email addresses for all users who should receive notifications about this connection.

-
Click Submit Order.
To create a connection between your virtual device and another network location on Fabric using a service token, send a POST request to the /fabric/v4/connections endpoint.
Define your Network Edge device in the aSide object including:
accessPoint.typeasVDvirtualDevice.typeasEDGEvirtualDevice.uuidas your device's UUID
Provide your Service Token UUID in the zSide object. The service token provides all other necessary information to establish the connection.
Sample cURL Request:
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "EVPL_VC",
"name": "<connection_name>",
"bandwidth": <connection_speed>,
"aSide": {
"accessPoint": {
"type": "VD",
"virtualDevice": {
"type": "EDGE",
"uuid": "<virtual_device_uuid>"
},
}
},
"zSide": {
"serviceToken": {
"uuid": "<service_token_uuid>"
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"<contact_email>",
"<contact_email>"
]
}
]
}'
Monitoring the Connection Status
- Portal
- API
You can monitor the status of your new connection in your Connections Inventory.
Use the /fabric/v4/connections/{connectionId} API endpoint to monitor connection status.